Bug 452102 - Add `tcross` cursor or Pitivi refuses to launch
Summary: Add `tcross` cursor or Pitivi refuses to launch
Status: RESOLVED FIXED
Alias: None
Product: Breeze
Classification: Unclassified
Component: Icons (show other bugs)
Version: master
Platform: Other Linux
: NOR normal
Target Milestone: ---
Assignee: visual-design
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2022-03-31 08:09 UTC by Mazhar Hussain
Modified: 2022-06-24 17:31 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.24.6


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mazhar Hussain 2022-03-31 08:09:10 UTC
The Pitivi program does not launch if using Breeze cursor theme. It works fine with Adwaita cursor theme. I manually created a symlink `/usr/share/icons/Breeze/cursors/tcross -> cross` and Pitivi started working again.

So, I think `tcross -> cross` symlink needs to be added to the cursor theme.
Comment 1 Nate Graham 2022-03-31 21:19:54 UTC
Would you be interested in submitting a merge request to fix this? I can help you!
Comment 2 Patrick Silva 2022-04-01 14:32:47 UTC
Can confirm on Arch Linux. Are you using flatpak version of Pitivi? This bug occurs even on Gnome when I use flatpak version with a third-party cursor theme.

https://gitlab.gnome.org/GNOME/pitivi/-/issues/2217
Comment 3 Mazhar Hussain 2022-06-24 05:36:26 UTC
(In reply to Nate Graham from comment #1)
> Would you be interested in submitting a merge request to fix this? I can
> help you!

Sorry that I took so long but I just submitted an MR.
Comment 4 Mazhar Hussain 2022-06-24 05:38:33 UTC
(In reply to Patrick Silva from comment #2)
> Can confirm on Arch Linux. Are you using flatpak version of Pitivi? This bug
> occurs even on Gnome when I use flatpak version with a third-party cursor
> theme.
> 
> https://gitlab.gnome.org/GNOME/pitivi/-/issues/2217

At the moment of reporting the issue, I was not using the flatpak version but now I am.
Comment 5 Nate Graham 2022-06-24 17:29:16 UTC
Git commit 572dcd2e40d74ef9eeeaf10cf5cb0c1e5d9e043f by Nate Graham, on behalf of Mazhar Hussain.
Committed on 24/06/2022 at 17:29.
Pushed by ngraham into branch 'master'.

Add cursor 'tcross' -> crosshair

A  +1    -0    cursors/Breeze/Breeze/cursors/tcross
M  +1    -0    cursors/Breeze/src/cursorList
A  +1    -0    cursors/Breeze_Snow/Breeze_Snow/cursors/tcross
M  +1    -0    cursors/Breeze_Snow/src/cursorList

https://invent.kde.org/plasma/breeze/commit/572dcd2e40d74ef9eeeaf10cf5cb0c1e5d9e043f
Comment 6 Nate Graham 2022-06-24 17:31:15 UTC
Git commit 99716fd8730c53011f65ea41d6477c76d905d993 by Nate Graham, on behalf of Mazhar Hussain.
Committed on 24/06/2022 at 17:31.
Pushed by ngraham into branch 'Plasma/5.25'.

Add cursor 'tcross' -> crosshair


(cherry picked from commit 572dcd2e40d74ef9eeeaf10cf5cb0c1e5d9e043f)

A  +1    -0    cursors/Breeze/Breeze/cursors/tcross
M  +1    -0    cursors/Breeze/src/cursorList
A  +1    -0    cursors/Breeze_Snow/Breeze_Snow/cursors/tcross
M  +1    -0    cursors/Breeze_Snow/src/cursorList

https://invent.kde.org/plasma/breeze/commit/99716fd8730c53011f65ea41d6477c76d905d993
Comment 7 Nate Graham 2022-06-24 17:31:27 UTC
Git commit 613be7a939775a0b88c53e398965ef9ceb286cdf by Nate Graham, on behalf of Mazhar Hussain.
Committed on 24/06/2022 at 17:31.
Pushed by ngraham into branch 'Plasma/5.24'.

Add cursor 'tcross' -> crosshair


(cherry picked from commit 572dcd2e40d74ef9eeeaf10cf5cb0c1e5d9e043f)

A  +1    -0    cursors/Breeze/Breeze/cursors/tcross
M  +1    -0    cursors/Breeze/src/cursorList
A  +1    -0    cursors/Breeze_Snow/Breeze_Snow/cursors/tcross
M  +1    -0    cursors/Breeze_Snow/src/cursorList

https://invent.kde.org/plasma/breeze/commit/613be7a939775a0b88c53e398965ef9ceb286cdf